Bug 617153 - scandvb doesn't output all channels
Summary: scandvb doesn't output all channels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dvb-apps
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 639777 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 10:54 UTC by Jonas Jonsson
Modified: 2011-11-25 02:22 UTC (History)
2 users (show)

Fixed In Version: dvb-apps-1.1.2-0.d4e8bf5658ce.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 01:56:34 UTC
Type: ---


Attachments (Terms of Use)
channels.conf produces with dvb-apps-1.1.1-22.fc13.x86_64 (3.58 KB, application/octet-stream)
2010-07-22 10:54 UTC, Jonas Jonsson
no flags Details
channels-new.conf produces with hg 1385:4ba933ff13fb (4.51 KB, application/octet-stream)
2010-07-22 10:55 UTC, Jonas Jonsson
no flags Details
Differences between the files (3.69 KB, application/octet-stream)
2010-07-22 10:55 UTC, Jonas Jonsson
no flags Details
channels.conf produced with w_scan-20100529-1.fc13.x86_64 (4.00 KB, text/plain)
2010-07-27 18:06 UTC, Jonas Jonsson
no flags Details

Description Jonas Jonsson 2010-07-22 10:54:14 UTC
Created attachment 433663 [details]
channels.conf produces with dvb-apps-1.1.1-22.fc13.x86_64

Description of problem:
I'm trying to generate a VDR compatible channels.conf but the current scandvb  doesn't output some channels that it finds. This works with latest HG version of dvb-apps.

I've used the following command to produces the attached files
$ dvbscan -o vdr -x 500 -p -e 3 -u dvb-t/se-Ornskoldsvik_As  > channels.conf
$ ./scan -o vdr -x 500 -p -e 3 -u dvb-t/se-Ornskoldsvik_As  > channels-new.conf
$ diff channels.conf channels-new.conf -u > channels.diff

Version-Release number of selected component (if applicable):
dvb-apps-1.1.1-22.fc13.x86_64
dvb-apps hg 1385:4ba933ff13fb

How reproducible:
Every time I try

Steps to Reproduce:
See above.
  
Actual results:
Some channels are missing or have different information

Expected results:
The output should be correct.

Additional info:

Comment 1 Jonas Jonsson 2010-07-22 10:55:07 UTC
Created attachment 433664 [details]
channels-new.conf produces with hg 1385:4ba933ff13fb

Comment 2 Jonas Jonsson 2010-07-22 10:55:42 UTC
Created attachment 433665 [details]
Differences between the files

Comment 3 Peter Robinson 2010-07-27 14:51:32 UTC
Jonas can you test w_scan and see what the difference that that gets. Also what is your country/region (seeing similar issues with another setup on a different distro that someone has asked me about).

Comment 4 Jonas Jonsson 2010-07-27 15:44:18 UTC
I tried w_scan when I discovered the problem and it detected the missing channels, but I'm not sure about the other information. Will check again with w_scan in a couple of days. Don't have access to the machine right now.

The location is Sweden Örnsköldsvik Ås, dvbscan file se_OrnskoldsvikAs.

Forgot to mention, the missing channels are encrypted MPEG4 channels.

Comment 5 Jonas Jonsson 2010-07-27 18:06:52 UTC
Created attachment 434795 [details]
channels.conf produced with w_scan-20100529-1.fc13.x86_64

Comment 6 Peter Robinson 2010-10-14 10:48:07 UTC
*** Bug 639777 has been marked as a duplicate of this bug. ***

Comment 7 Peter Robinson 2010-10-14 10:51:47 UTC
As upstream no longer does proper versioned releases of the dvb-apps package I'm looking to move this to a date snapshot release mechanism from their repository as there seems to be regular constant updates of scanning data. I've got an initial rpm that I'm testing but I need to add some of the libraries that are currently excluded. As they aren't versioned in anyway I'm reviewing the best way to move forward with this so as not to get arbitrary breakages.

Comment 8 Bug Zapper 2011-06-01 13:13:30 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Update System 2011-11-12 18:43:05 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-0.d4e8bf5658ce.fc16

Comment 10 Fedora Update System 2011-11-12 18:43:19 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-0.d4e8bf5658ce.fc15

Comment 11 Fedora Update System 2011-11-12 18:43:33 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-0.d4e8bf5658ce.fc14

Comment 12 Fedora Update System 2011-11-13 05:36:21 UTC
Package dvb-apps-1.1.2-0.d4e8bf5658ce.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dvb-apps-1.1.2-0.d4e8bf5658ce.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15851
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-11-25 01:56:34 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-11-25 02:04:09 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-11-25 02:22:13 UTC
dvb-apps-1.1.2-0.d4e8bf5658ce.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.